%define upstream_name	 Smart-Comments
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 3

Summary:    Comments that do more than just sit there
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/N/NE/NEILB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(version)
BuildArch:  noarch

%{?perl_default_filter}

%description
Smart comments provide an easy way to insert debugging and tracking code into a
program. They can report the value of a variable, track the progress of a loop,
and verify that particular assertions are true.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Smart/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.06-3.mga6
+ Revision: 1033069
- Rebuild for perl 5.22.2

* Thu Apr 07 2016 umeabot <umeabot> 1.06-2.mga6
+ Revision: 999127
- Mageia 6 Mass Rebuild

  + tv <tv>
    - new release

* Sat Oct 18 2014 umeabot <umeabot> 1.0.5-5.mga5
+ Revision: 788122
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 750996
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.5-3.mga5
+ Revision: 733375
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-2.mga5
+ Revision: 686199
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.0.5-1.mga5
+ Revision: 588639
- update to 1.000005

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 514597
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 372646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.0.4-1.mga1
+ Revision: 26982
- mageia rebuild
- imported package perl-Smart-Comments


* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.0.4-1mdv2010.0
+ Revision: 432340
- update to 1.0.4

* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-3mdv2010.0
+ Revision: 430536
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-2mdv2009.0
+ Revision: 268722
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-1mdv2009.0
+ Revision: 195127
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 23911
- rebuild


* Mon Mar 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Thu Oct 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.0.1-1mdk
- Initial MDV release.

